ArrayRectangular Example

Using Programming Languages other than VBA

Sub Example_ArrayRectangular()
	' This example creates a circle and then performs
	' a rectangular array on that circle.

	' Create the circle
	Dim circleObj As AcadCircle
	Dim center(0 To 2) As Double
	Dim radius As Double
	center(0) = 2#: center(1) = 2#: center(2) = 0#
	radius = 0.5
	Set circleObj = ThisDrawing.ModelSpace.AddCircle(center, radius)
	ThisDrawing.Application.ZoomAll
	MsgBox "Perform the rectangular array on the circle.", , "ArrayRectangular Example"

	' Define the rectangular array
	Dim numberOfRows As Long
	Dim numberOfColumns As Long
	Dim numberOfLevels As Long
	Dim distanceBwtnRows As Double
	Dim distanceBwtnColumns As Double
	Dim distanceBwtnLevels As Double
	numberOfRows = 5
	numberOfColumns = 5
	numberOfLevels = 2
	distanceBwtnRows = 1
	distanceBwtnColumns = 1
	distanceBwtnLevels = 1

	' Create the array of objects
	Dim retObj As Variant
	retObj = circleObj.ArrayRectangular(numberOfRows, numberOfColumns, numberOfLevels, distanceBwtnRows, distanceBwtnColumns, distanceBwtnLevels)

	ZoomAll
	MsgBox "Rectangular array completed.", , "ArrayRectangular Example"

End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.